.TH breduce 1 "Feb. 1997"
.SH NAME
breduce \- read a portable bitmap and reduce it to 1/N
.SH SYNOPSIS
.B breduce
.RB [\-options]
.BR
.I in_file
| \-
.BR
.I [out_file]
.SH DESCRIPTION
breduce reads a portable bitmap as input, reduces it by a factor of
1/N, and produces a portable bitmap as output.

This program is similar to pbmreduce(4),
but is specialized for Document Image Processing.
Black pixels have priority over white pixels on the reduction
process. Consequently, thin black lines are kept continuous on
the image, while thin white lines may be broken.

If the string "\-" is passed instead of
.I in_file,
breduce reads image from standard input.
If the output file
.I out_file
is not specified,
breduce writes image to standard output.

.SH OPTIONS
.TP
.B \-div N
Division factor. The image is reduced to 1/N.
Note that 
.I N
is an integer.
The default value is N=2.
.TP
.B \-quiet
Suppress messages.

.SH SEE ALSO
pbm(5), pbmreduce(5)
.SH AUTHOR
Copyright (C) 1994\-1997 Hideaki Goto
.\" Permission to use, copy, modify, and distribute this software and
.\" its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notice and this permission
.\" notice appear in all copies and in supporting documentation, (ii)
.\" the name of the author, Hideaki Goto, may not be used in any
.\" advertising or otherwise to promote the sale, use or other
.\" dealings in this software without prior written authorization
.\" from the author, (iii) this software may not be used for
.\" commercial products without prior written permission from the
.\" author, and (iv) the notice of the modification is specified in
.\" case of that the modified copies of this software are distributed.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
.\" THE AUTHOR WILL NOT BE RESPONSIBLE FOR ANY DAMAGE CAUSED BY THIS
.\" SOFTWARE.

E\-Mail: hgot@ecip.tohoku.ac.jp, hgot@aso.ecei.tohoku.ac.jp
