.TH makecr 1 "Feb. 1997"
.SH NAME
makecr \- create circumscribing rectangles in an image
.SH SYNOPSIS
.B makecr
.RB [\-options]
.BR
.I in_file
| stdin
.BR
.I out_file
.SH DESCRIPTION
makecr finds connected components of black pixels
in a binary image, and creates circumscribing rectangles. 

The file format of 
.I in_file
is binary pbm(5).
The circumscribing rectangles are written on 
.I out_file,
whose file format is d4file(4).
Each rectangle is denoted by a 4\-tuple, the position
of the left\-top corner, the width, and 
the height of the rectangle.

If the string "stdin" is passed instead of 
.I in_file,
makecr reads image from standard input.

.SH OPTIONS
.TP
.B \-bstr N
Add N black pixels to both ends of each horizontal black run
before finding connected components.
.TP
.B \-rls N
Apply Runlength Smoothing Algorithm.
The horizontal white runs which is shorter than N pixels are
filled with black pixels before finding connected components.

.SH SEE ALSO
pbm(5), d4file(4)
.SH AUTHOR
Copyright (C) 1994\-1997 Hideaki Goto
.\" Permission to use, copy, modify, and distribute this software and
.\" its documentation for any purpose is hereby granted without fee,
.\" provided that (i) the above copyright notice and this permission
.\" notice appear in all copies and in supporting documentation, (ii)
.\" the name of the author, Hideaki Goto, may not be used in any
.\" advertising or otherwise to promote the sale, use or other
.\" dealings in this software without prior written authorization
.\" from the author, (iii) this software may not be used for
.\" commercial products without prior written permission from the
.\" author, and (iv) the notice of the modification is specified in
.\" case of that the modified copies of this software are distributed.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND.
.\" THE AUTHOR WILL NOT BE RESPONSIBLE FOR ANY DAMAGE CAUSED BY THIS
.\" SOFTWARE.

E\-Mail: hgot@ecip.tohoku.ac.jp, hgot@aso.ecei.tohoku.ac.jp
